#include <iostream>
#include <cstdio>

using namespace std;

int main()
{
    int n;
    cin >> n;

    double f[2][n], sum, maxsum=0;

    for(int i=0; i<n; i++){
        cin >> f[0][i] >> f[1][i];

    }

    for(int i=0; i<n; i++){
        sum=0;
        for(int j=0; j<n; j++){
            if(f[1][j]>=f[1][i])sum+=f[0][j];
        }
        sum*=f[1][i];
        sum/=100;
        if(sum>maxsum)maxsum=sum;
    }

    printf("%f",maxsum);

    return 0;
}